@import '../variables';

.chart-wrapper {
  background: $bg;
  width: 80%;
  transform: translateX(-50%);
  margin-left: 50%;
  border-radius: 40px;
  padding: 30px;
  text-align: right;
  @media #{$mq-phone} {
    padding: 25px;
  }

  .chart-actions {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .time-switcher {
    display: block;
    background: lighten($disabled, 20%);
    border-radius: 10000px;
    font-size: 0.8rem;
    font-weight: 600;
    padding: 10px 20px;

    @media #{$mq-phone} {
      font-size: 0.7rem;
      padding: 8px 18px;
    }

    &.active {
      color: $bg;
      background: $grad1;
    }
  }

  .interval-switcher {
    display: block;
    background: lighten($disabled, 20%);
    border-radius: 10000px;
    button {
      font-size: 0.8rem;
      font-weight: 600;
      padding: 10px 20px;
      border-radius: inherit;
      @media #{$mq-phone} {
        font-size: 0.7rem;
        padding: 8px 18px;
      }

      &.active {
        color: $bg;
        background: $grad1;
      }
    }
  }

  .chart-legend {
    text-align: center;
    margin: 60px 0 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    @media #{$mq-phone} {
      flex-flow: column wrap;
      align-content: space-between;
      width: 100%;
      margin: 30px 0;
      margin-left: 50%;
      transform: translateX(-50%);
    }

    .wrapper {
      display: flex;
      align-items: center;
      margin: 0 20px 15px;
      @media #{$mq-phone} {
        margin: 10px 0;
        width: 100%;
      }

      p {
        color: $text;
        font-size: 1.3rem;
        line-height: 1.1rem;
        font-weight: 500;
        font-style: italic;
        white-space: nowrap;
        @media #{$mq-phone} {
          font-size: 1rem;
          line-height: 1rem;
        }
      }
      span {
        display: block;
        width: 25px;
        height: 25px;
        border-radius: 1000px;
        margin-right: 10px;
        @media #{$mq-phone} {
          width: 15px;
          height: 15px;
        }
      }
    }
  }
}
